SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000572SiT!triggerspublic2009-03-16 12:592009-08-16 14:40
Reporternicdev 
Assigned Tokieran 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.41 
Target Version3.50Fixed in Version3.50 
Summary0000572: Trigger "TRIGGER_INCIDENT_UPDATED_EXTERNAL" fires when there are mails with incident id=0
DescriptionWe ha set up the trigger "TRIGGER_INCIDENT_UPDATED_EXTERNAL" to pop a notice on the user's display to say the incident has been updated externally. this works fine after fixing bug 0000566, but the trigger seems to fire every day for an incident id=0 which produces the following notice:

0 - has been updated externallly and may need your attention - View Incident (Today @ 10:54am)

This is wrong as i am sure incident 0 is just used for new unassigned mails or something...
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000789)
ivan (administrator)
2009-03-16 14:47

Yes the incident ID 0 is used for incidents that are logged but not assigned. I'm not quite sure how these are getting updated and causing the trigger to fire, but it does sound like a bug.
User avatar (0000825)
kieran (administrator)
2009-03-25 14:54

Can you check the database for incidents with id of 0 and also try and navigate to incident_details.php?id=0 and see what's there?
User avatar (0000842)
nicdev (developer)
2009-03-26 14:51

Hi Kieran,

I have checked incident_details.php?id=0, and in there is all the incidents that are in the holding queue.

In the incidents DB there are zero incidents with ID=0, but in the DB updates there are many...

Hope it helps
User avatar (0001206)
kieran (administrator)
2009-06-13 12:03

Fixed in trunk r5454.
User avatar (0001750)
ivan (administrator)
2009-08-16 14:40

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-03-16 12:59 nicdev New Issue
2009-03-16 14:47 ivan Note Added: 0000789
2009-03-25 14:54 kieran Note Added: 0000825
2009-03-25 14:54 kieran Status new => feedback
2009-03-26 14:51 nicdev Note Added: 0000842
2009-06-13 12:03 kieran Note Added: 0001206
2009-06-13 12:03 kieran Status feedback => resolved
2009-06-13 12:03 kieran Fixed in Version => Current SVN
2009-06-13 12:03 kieran Resolution open => fixed
2009-06-13 12:03 kieran Assigned To => kieran
2009-08-15 21:31 ivan Target Version => 3.50
2009-08-16 13:15 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:40 ivan Note Added: 0001750
2009-08-16 14:40 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker